org.apache.sling.sample.slingshot.model

## Class User

- java.lang.Object
- - org.apache.sling.sample.slingshot.model.User

    public class User
    extends Object

### Field Summary

Fields
`static String` `RESOURCETYPE` The resource type for a user.

### Constructor Summary

Constructors
Constructor and Description
`User(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UserInfo` `getInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCETYPE

    public static final String RESOURCETYPE

The resource type for a user.

See Also:
  Constant Field Values

### Constructor Detail

#### User

    public User(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getInfo

    public UserInfo getInfo()